Skip to main content
`Ctrl`+`K`

# PetscPartitionerShellSetRandom

Set the flag to use a random partition

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerShellSetRandom(PetscPartitioner part, PetscBool random)

Collective

## Input Parameters

- part - The `PetscPartitioner`

- random - The flag to use a random partition

## See Also

`PetscPartitionerShellGetRandom()`, `PetscPartitionerCreate()`

## Level

intermediate

## Location

src/dm/partitioner/impls/shell/partshell.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages